#include <stdio.h>
#include <stdlib.h>
#include <sgtty.h>      /* ioctl */
#include <sys/types.h>  /* chmod */
#include "tx.h"
#include "tx2.h"


/******************************************************************************
ڴؿ̾	setscreen
ڵǽ	ץγϻ˸ƤФ̴Ϣؿ
ڰ	ʤ
͡	ʤ
******************************************************************************/
void setscreen(void) {
    struct sgttyb tty;

    xcls();

    ioctl(0, TIOCGETP, &tty);   /* raw ⡼ɤ */
    tty.sg_flags |= RAW;
    tty.sg_flags &= ~ECHO;
    ioctl(0, TIOCSETP, &tty);
} /* setscreen */


/******************************************************************************
ڴؿ̾	endscreen
ڵǽ	ץνλ˸ƤФ̴Ϣؿ
ڰ	ʤ
͡	ʤ
******************************************************************************/
void endscreen(void) {
    struct sgttyb tty;

    xcls();

    ioctl(0, TIOCGETP, &tty);   /* cooked ⡼ɤ */ 
    tty.sg_flags &= ~RAW;
    tty.sg_flags |= ECHO;
    ioctl(0, TIOCSETP, &tty);
} /* endscreen */


/******************************************************************************
ڴؿ̾	chmod_to_777
ڵǽ	եɤ߽񤭲Ĥˤ롣
ڰ	ե̾
͡	ʤ
******************************************************************************/
void chmod_to_777(char* filename) {
    chmod(filename, 0644);   /* rw-r--r-- */
} /* chmod_to_777 */


/******************************************************************************
ڴؿ̾	chmod_to_755
ڵǽ	ե񤭹ԲĤˤ롣
ڰ	ե̾
͡	ʤ
******************************************************************************/
void chmod_to_755(char* filename) {
    chmod(filename, 0444);   /* r--r--r-- */
} /* chmod_to_755 */
