/******************************************************************************
إåե뤽ΣǤ롣
******************************************************************************/

#ifndef TX_H
#define TX_H

#include <stdio.h>		/* FILE */
#include <time.h>		/* time_t */

/*ڽ*/

#define VERSION		"3.02"			/* Сֹ */

#define TXT_FILE	"TX.TXT"		/* ƥȥե̾ʥǥեȡ */
#define FIG_FILE	"TX.FIG"		/* ޤΥե̾ʥǥեȡ */
#define SCR_FILE	"TX.SCR"		/* ե̾ʥǥեȡ */
#define USR_FILE	"TX.USR"		/* 桼ե̾ʥǥեȡ */
#define PENALTY		5				/* ڥʥƥǡʥǥեȡ */

#define SCOREFILEID	"=== Score File for <<< tx version 3.0x >>> ==="
#define USERFILEID	"=== User File for <<< tx version 3.0x >>> ==="

#define LINES				24		/* ǥץ쥤ιԿ */
#define MAXLIN		((LINES - 5)/2)	/* ʸκԿ */
#define MAXCOL				75		/* ʸΰԤκ */

#define MAXLESSONNUM		200		/* ݤοκ */
#define MAXLESSONNAMELEN	13		/* ݤ̾κʸ */

#define MAXFIGURENUM		25		/* ޤοκ */
#define MAXFIGURENAMELEN	12		/* ޤ̾κʸ */

#define MAXSCORELIN	   (LINES - 5)	/* ȤäƤιԿ */

#define OK			1
#define YES			1
#define NO			0

#define bell()				putc('\a', stderr)
#define xprintf				printf

#define xgotoxy(X,Y)		printf("\033[%d;%dH",X,Y)
										/*  X ԡ Y إư */
#define xclr2end()			printf("\033[0K")
										/* ʹ߹ޤǾõ */

#define xcolor4text1()		printf("\033[m")
										/* ƥȤ뿧̾ */
#define xcolor4text0()		printf("\033[7m")
										/* ߥƥȡȿž */
#define xcolor4ok()			printf("\033[7m")
										/* ֹʡפɽ뿧ȿž */
#define xcolor4no()			printf("\033[m")
										/* Բġפɽ뿧̾ */
#define xcolor4wrong()		printf("\033[7m")
										/* Ǥɽ뿧ȿž */
#define xcolor4xposed()		printf("\033[7m")
										/* ž֤ɽ뿧ȿž */
#define xcolor4dropped()	printf("\033[7m")
										/* æɽ뿧ȿž */
#define xcolor4inserted()	printf("\033[7m")
										/* ɽ뿧ȿž */

#define CHAR4DROPPED		'>'	/* æ򼨤̾Υ饯 */

#ifdef DOSV
#define xcolornormal()		printf("\033[0;1m")	/* ̾ο */
#else /* not DOSV */
#define xcolornormal()		printf("\033[m")	/* ̾ο */
#endif /* not DOSV */




/*ڥȥ饯*/

/******************************************************************************
̾	Myfloat
ڲ	ưǤ롣
			number 10  precision ˤɽ魯
******************************************************************************/
struct Myfloat_ {			/* ư */
	long	number;			/* number 10  precision ˤɽ魯*/
	int		precision;		/* ʲΥ */
};

typedef struct Myfloat_ Myfloat;


/******************************************************************************
̾	Figure
ڲ	ް示Ĥб롣
			̾ name ȳƹԤؤΥݥ󥿤 fig[] ʤ롣
			ޤιԿʤСNULL 롣
******************************************************************************/
struct Figure_ {
	char name[MAXFIGURENAMELEN +1];	/* ̾ */
	char* fig[LINES - 5];			/* ƥȡʿޡˤؤΥݥ */
};

typedef struct Figure_ Figure;


/******************************************************************************
̾	Text
ڲ	ݰĤĤб롣
			ȤϥȤ򸫤ơ
			ϤʸʸϡԿʤСNULL 롣
******************************************************************************/
struct Text_ {
	char	textname[MAXLESSONNAMELEN + 1];		/* å̾ */
	Myfloat	timelim;							/* ԡȤɸ */
	Myfloat	errorlim;							/* 顼Ψɸ */
	char	figurename[MAXFIGURENAMELEN +1];	/* ޤ̾ */
	char*	string[LINES - 5];					/* Ϥʸɽʸ */
	char*	txt[MAXLIN];						/* ʸ */
	char	isclear;							/* ʺ (1)̤ (0) */
};

typedef struct Text_ Text;





/*ѿ*/

extern char*	txtfname;							/* ʸΥե̾ */
extern char*	figfname;							/* ޤΥե̾ */
extern int		lastlessonnum;						/* ǸΥåֹ */
extern Text*	txtptr[1 + MAXLESSONNUM + 1];
extern Figure*	figptr[MAXFIGURENUM];

extern char*	scrfname;							/* ե̾ */
extern char		scrfwrite;							/* 񤭽Ф */
extern char*	usrfname;							/* 桼ե̾ */
extern char		usrname[8+1];						/* 桼̾ */
extern int		lessonnum;							/* 貿ݡ */
extern char		scr[MAXSCORELIN][80+1];				/* ǶΥ */

extern int line;									/* ʸɽػϹ */

extern char lessonname[MAXLESSONNAMELEN+1];			/* ݤ̾ */
extern int strokes;									/* ʸǿ */
extern int your_strokes;							/* 桼ǿ */
extern int errors;									/* 顼ο */
extern time_t starttime;							/* ϻ */
extern time_t endtime;								/* λ */
extern int seconds;									/* ÿ */
extern int penalty;									/* ڥʥƥ */
extern Myfloat errorlim;							/* ɸ顼Ψ */
extern char str_errorlim[16];						/* ʸ */
extern Myfloat timelim;								/* ɸԡ */
extern char str_timelim[16];						/* ʸ */
extern char *copyright1;							/* ɽΣ */
extern char *copyright2;							/* ɽΣ */





/*ڴؿץȥ*/


	/* figure.c */

Figure* Figure_read(FILE *in);
void Figure_show(char *name);


	/* lesson.c */

void Lesson_init(void);
void Lesson_show(void);
void Lesson_next(void);
void Lesson_prev(void);
void Lesson_practice(void);


	/* main2.c */

void loop(void);


	/* misc.c */

int skip_space(FILE* in);
int myfgets(char *buf, int lim, FILE *in);
char* read1line(FILE *in);
void copyright(void);
void drawlines(void);
void showmenu(char* str);
void ending(char *msg, char *s);


	/* misc2.c */

void setscreen(void);
void endscreen(void);
void chmod_to_777(char*);
void chmod_to_755(char*);


	/* myfloat.c */

char* Myfloat_sprintf(char* t, Myfloat f);
int Myfloat_sscanf(char*, Myfloat*);
void Myfloat_init(Myfloat* fp, long num, long denom, int precision);
long Myfloat_cmp(Myfloat f, Myfloat g);
Myfloat Myfloat_div(Myfloat mf1, Myfloat mf2, int prec);


	/* quit2.c */

int quit(void);


	/* score.c */

void Score_init(void);
int Score_usrfwrite(void);
void Score_create(void);
int Score_write(void);


	/* sum.c */

unsigned long checksum(char*, char*);


	/* text.c */

Text* Text_read(FILE* in, int);


	/* time.c */
unsigned long struct_tm2sec(struct tm* tp);


#endif /* TX_H */
